module addr_adder (
	input [15:0] addr_low,
	input [15:0] addr_high,
	output [23:0] addr_tot
);
	wire carry_loc;
	assign addr_tot[7:0]=addr_low[7:0];
	
	add_8_full add_8_full_1(addr_low[15:8],addr_high[7:0],carry_loc,addr_tot[15:8]);
	add_8_const add_8_const_1(carry_loc,addr_high[15:8],addr_tot[23:16]);
	
endmodule